@echo off

@if exist jrset.bat del jrset.bat >nul

cscript //nologo javareg.vbs CNP_JAVA_BIN

@setlocal
call jrset.bat

@set CNPS_ADDR=localhost

@set CLASSPATH=cnp.jar;cnp_vbjorball.jar;ae.jar;kjrall.jar;cnp_jviewsall.jar;browser.jar;chart.jar;terminal.jar;util.jar;icu4jm32.jar;deploy.jar;cnp_ps.jar;ks3.jar;ks3_resources.jar
@set CPATH=%CLASSPATH%;.

if     "%CNP_JAVA_BIN%"=="" set _JAVA_CMD=java
if not "%CNP_JAVA_BIN%"=="" set _JAVA_CMD="%CNP_JAVA_BIN%java"

rem Backing up ks3error files (9 generations)
set LogFileName=%CANDLE_HOME%\CNP\LOGS\ks3error
@if exist %LogFileName%_8.log copy /y %LogFileName%_8.log %LogFileName%_9.log >nul 2>nul 
@if exist %LogFileName%_7.log copy /y %LogFileName%_7.log %LogFileName%_8.log >nul 2>nul 
@if exist %LogFileName%_6.log copy /y %LogFileName%_6.log %LogFileName%_7.log >nul 2>nul 
@if exist %LogFileName%_5.log copy /y %LogFileName%_5.log %LogFileName%_6.log >nul 2>nul 
@if exist %LogFileName%_4.log copy /y %LogFileName%_4.log %LogFileName%_5.log >nul 2>nul 
@if exist %LogFileName%_3.log copy /y %LogFileName%_3.log %LogFileName%_4.log >nul 2>nul 
@if exist %LogFileName%_2.log copy /y %LogFileName%_2.log %LogFileName%_3.log >nul 2>nul 
@if exist %LogFileName%_1.log copy /y %LogFileName%_1.log %LogFileName%_2.log >nul 2>nul 
@if exist %LogFileName%.log   copy /y %LogFileName%.log   %LogFileName%_1.log >nul

rem @set TRACEPARMS="ERROR (UNIT:PBasedRequest ALL) (UNIT:DataBus ALL)"
@set TRACEPARMS="ERROR"
rem   set _CMD= %_JAVA_CMD% -Xms64m -Xmx256m -showversion -noverify -classpath %CLASSPATH% -Dkjr.trace.mode=LOCAL -Dkjr.trace.file=%CANDLE_HOME%\CNP\LOGS\ks3ras1.log -Dkjr.trace.params=%TRACEPARMS% -DORBtcpNoDelay=true -Dibm.stream.nio=true -Dice.net.maxPersistentConnections=16 -Dice.net.persistentConnectionTimeout=1 -Dcnp.http.url.host=%CNPS_ADDR% -Dvbroker.agent.enableLocator=false candle.ks3.launch/LaunchConfig %1 %2 %3 %4 %5 %6 %7 %8 %9
rem 2 set _CMD= %_JAVA_CMD% -Xms64m -Xmx128m -showversion -noverify -classpath %CLASSPATH% -Dcnp.http.url.host=%CNPS_ADDR% -Dvbroker.agent.enableLocator=false -Dcnp.authorization.mode=%CMW.AUTH% -Dkjr.trace.mode=LOCAL -Dkjr.trace.file=ks3ras1.log -Dkjr.trace.params=%TRACEPARMS% -DUSER=sysadmin candle.ks3.launch.LaunchConfig %1 %2 %3 %4 %5 %6 %7 %8 %9
set _CMD= %_JAVA_CMD% -Xms64m -Xmx128m -showversion -noverify -classpath %CPATH% -Dcnp.http.url.host=%CNPS_ADDR% -Dvbroker.agent.enableLocator=false -Dcnp.authorization.mode=%CMW.AUTH% -Dkjr.trace.mode=LOCAL -Dkjr.trace.file=ks3ras1.log -Dkjr.trace.params=%TRACEPARMS% -DUSER=sysadmin candle.ks3.launch.LaunchConfig %1 %2 %3 %4 %5 %6 %7 %8 %9

set     2>&1 >  %LogFileName%.log
date /t 2>&1 >> %LogFileName%.log
time /t 2>&1 >> %LogFileName%.log

%_CMD%  2>&1 >> %LogFileName%.log
       
@endlocal

